Bug 1330021 - Initial-setup : no error message is thrown when user clicks on register button without entering credentials
Summary: Initial-setup : no error message is thrown when user clicks on register butto...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager
Version: 7.3
Hardware: Unspecified
OS: Unspecified
high
low
Target Milestone: rc
: ---
Assignee: vritant
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-25 10:00 UTC by Shwetha Kallesh
Modified: 2016-11-03 20:28 UTC (History)
3 users (show)

Fixed In Version: 1.17.7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 20:28:29 UTC
Target Upstream Version:


Attachments (Terms of Use)
No error message is thrown when login field is blank (120.96 KB, image/png)
2016-04-25 10:00 UTC, Shwetha Kallesh
no flags Details
RHSM spoke (137.80 KB, image/png)
2016-04-25 10:01 UTC, Shwetha Kallesh
no flags Details
No error message on activation-key register page as well (94.18 KB, image/png)
2016-04-25 10:01 UTC, Shwetha Kallesh
no flags Details
GUI error dialogue (83.40 KB, image/png)
2016-04-26 07:38 UTC, Shwetha Kallesh
no flags Details
"Need a login" message when user do not enter credentials (116.79 KB, image/png)
2016-06-06 13:18 UTC, Shwetha Kallesh
no flags Details
Activation Key info (93.24 KB, image/png)
2016-06-06 13:19 UTC, Shwetha Kallesh
no flags Details
RHSM Spoke (149.23 KB, image/png)
2016-06-06 13:21 UTC, Shwetha Kallesh
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2592 normal SHIPPED_LIVE Moderate: subscription-manager security, bug fix, and enhancement update 2016-11-03 12:10:42 UTC

Description Shwetha Kallesh 2016-04-25 10:00:22 UTC
Created attachment 1150337 [details]
No error message is thrown when login field is blank

Description of problem:
Initial-setup : no error message is thrown when user clicks on register button without entering credentials

Version-Release number of selected component (if applicable):
[root@dhcp35-180 ~]# subscription-manager version
server type: This system is currently not registered.
subscription management server: 2.0.10-1
subscription management rules: 5.20
subscription-manager: 1.17.5-1.git.0.9f499d8.el7
python-rhsm: 1.17.1-1.git.1.323232f.el7


How reproducible:


Steps to Reproduce:
1. [root@dhcp35-180 ~]# systemctl enable initial-setup-graphical.service 
Created symlink from /etc/systemd/system/graphical.target.wants/initial-setup-graphical.service to /usr/lib/systemd/system/initial-setup-graphical.service.
[root@dhcp35-180 ~]# reboot

2. Select register to RHSM option on initial-setup panel
3. Enter the server details --> next ---> do not enter the credentials ---> click on register button


Actual results:
No message is thrown to user

Expected results:
Message saying "Must enter a login" should be thrown to user

Same is the case with activation-key register page as well

Additional info:

If you click on register button without entering credentials and the click on done button at top right , a message under RHSM spoke saying "you must enter a login is displayed" , p.s attachment "RHSM spoke"

Comment 1 Shwetha Kallesh 2016-04-25 10:01:08 UTC
Created attachment 1150338 [details]
RHSM spoke

Comment 2 Shwetha Kallesh 2016-04-25 10:01:57 UTC
Created attachment 1150339 [details]
No error message on activation-key register page as well

Comment 6 Shwetha Kallesh 2016-04-26 07:38:57 UTC
Created attachment 1150754 [details]
GUI error dialogue

In GUI an error dialogue pops up

Comment 9 Shwetha Kallesh 2016-06-06 13:18:24 UTC
Created attachment 1165209 [details]
"Need a login" message when user do not enter credentials

Comment 10 Shwetha Kallesh 2016-06-06 13:19:37 UTC
Created attachment 1165211 [details]
Activation Key info

Comment 11 Shwetha Kallesh 2016-06-06 13:21:31 UTC
Created attachment 1165213 [details]
RHSM Spoke

Marking verified as there is a info being displayed to user

[root@dhcp35-45 ~]# rpm -qa | grep subscription-manager
subscription-manager-initial-setup-addon-1.17.7-1.el7.x86_64

Comment 13 errata-xmlrpc 2016-11-03 20:28:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2592.html


Note You need to log in before you can comment on or make changes to this bug.